/********************************************************************************************************/
// Default pref for k-meleon 
/********************************************************************************************************/
pref("general.useragent.vendor", "K-MeleonCCF ME");
pref("general.useragent.vendorSub", "0.09 Final");

/********************************************************************************************************/


/********************************************************************************************************/
// General

pref("kmeleon.MRU.maxURLs", 16);
pref("kmeleon.general.guest_account", false);
pref("kmeleon.general.homePage", "resource:///speeddial/speeddial.htm");
pref("kmeleon.general.offline", false);
pref("kmeleon.general.opengroup", "ID_OPEN_LINK|ID_OPEN_LINK_IN_BACKGROUND");
pref("kmeleon.general.openurl", "ID_OPEN_LINK");
pref("kmeleon.general.searchEngineName", "Google");
pref("kmeleon.general.searchLocked", true);
pref("kmeleon.general.skinsCurrent", "Silverbird");
pref("kmeleon.display.newWindowOpenAs", 0);
pref("kmeleon.display.newWindowURL", "");
pref("kmeleon.general.sourceCommand", "");
pref("kmeleon.general.sourceEnabled", false);

// pref("browser.startup.autoload_homepage",   true);

/********************************************************************************************************/
// Plugins

pref("kmeleon.plugins.bmpmenu.load", true);
pref("kmeleon.plugins.rebarmenu.load", true);
pref("kmeleon.plugins.crash.load", false);
pref("kmeleon.plugins.external.load", true);
pref("kmeleon.plugins.fullscreen.load", true);
pref("kmeleon.plugins.history.load", true);
pref("kmeleon.plugins.toolbars.load", true);
pref("kmeleon.plugins.luamacro.load", true);
pref("kmeleon.plugins.macros.load", true);
pref("kmeleon.plugins.utils.load", false);
pref("kmeleon.plugins.searchbar.load", true);
pref("kmeleon.plugins.sessions.load", true);

pref("kmeleon.plugins.searchbar.title", "");

pref("kmeleon.plugins.bookmarks.load", true);
pref("kmeleon.plugins.bookmarks.chevron", true);
pref("kmeleon.plugins.bookmarks.menuAutoDetect", true);
pref("kmeleon.plugins.bookmarks.openurl", "ID_OPEN_LINK");

pref("kmeleon.plugins.favorites.load", true);
pref("kmeleon.plugins.favorites.menuAutoDetect", true);
pref("kmeleon.plugins.favorites.openurl", "ID_OPEN_LINK");

pref("kmeleon.plugins.gestures.load", true);
pref("kmeleon.plugins.gestures.down", "ID_CLOSE_TAB");
pref("kmeleon.plugins.gestures.downleft", "ID_OPEN_LINK_IN_BACKGROUNDTAB");
pref("kmeleon.plugins.gestures.downright", "ID_OPEN_LINK_IN_BACKGROUNDTAB");
pref("kmeleon.plugins.gestures.left", "ID_NAV_BACK");
pref("kmeleon.plugins.gestures.right", "ID_NAV_FORWARD");
pref("kmeleon.plugins.gestures.up", "ID_NEW_TAB");
pref("kmeleon.plugins.gestures.upleft", "macros(top_level)");
pref("kmeleon.plugins.gestures.upright", "sessions(undo)");

pref("kmeleon.plugins.hotlist.load", false);
pref("kmeleon.plugins.hotlist.menuAutoDetect", true);
pref("kmeleon.plugins.hotlist.openurl", "ID_OPEN_LINK");

pref("kmeleon.plugins.layers.confirmClose", false);
pref("kmeleon.plugins.layers.load", false);
pref("kmeleon.plugins.layers.rebar", true);
pref("kmeleon.plugins.layers.style", 2);
pref("kmeleon.plugins.layers.catchOpen",true);
pref("kmeleon.plugins.layers.catch",true);
pref("kmeleon.plugins.layers.load",true);

pref("kmeleon.plugins.privacy.load", true);
pref("kmeleon.plugins.privacy.clearCache", 0);
pref("kmeleon.plugins.privacy.clearCookies", 0);
pref("kmeleon.plugins.privacy.clearHistory", 0);
pref("kmeleon.plugins.privacy.clearMRU", 0);
pref("kmeleon.plugins.privacy.clearSignOn", 0);

pref("kmeleon.plugins.sessions.list", "last,");
pref("kmeleon.plugins.sessions.load", true);


/********************************************************************************************************/
// Appearance

pref("kmeleon.display.title", "K-Meleon");	
pref("kmeleon.display.NewWindowHasUrlFocus", false);
pref("kmeleon.display.backgroundImage", "");
pref("kmeleon.display.backgroundImageEnabled", true);
pref("kmeleon.display.maximized", false);
pref("kmeleon.display.disableResize", false);
pref("kmeleon.display.backgroundImage", "");
pref("kmeleon.display.backgroundImageEnabled", true);
pref("kmeleon.display.accelInMenus", true);

pref("kmeleon.favicons.show", true);
pref("browser.chrome.site_icons", true);
pref("browser.chrome.favicons", false);

//pref("kmeleon.urlbar.dropdown_lines", 10); // To not set by default
/********************************************************************************************************/
// Print

pref("print.show_print_progress", false);
pref("print.use_native_print_dialog", true);
pref("kmeleon.print.BGColors", false);
pref("kmeleon.print.BGImages", false);
pref("kmeleon.print.footerLeft", "&PT");
pref("kmeleon.print.footerMiddle", "");
pref("kmeleon.print.footerRight", "&D");
pref("kmeleon.print.headerLeft", "&T");
pref("kmeleon.print.headerMiddle", "");
pref("kmeleon.print.headerRight", "&U");
pref("kmeleon.print.marginBottom", "0.5");
pref("kmeleon.print.marginLeft", "0.5");
pref("kmeleon.print.marginRight", "0.5");
pref("kmeleon.print.marginTop", "0.5");
pref("kmeleon.print.paperHeight", "11");
pref("kmeleon.print.paperUnit", 0);
pref("kmeleon.print.paperWidth", "8.5");
pref("kmeleon.print.scaling", 100);


/********************************************************************************************************/
// Privacy

pref("kmeleon.privacy.useragent0.name", "K-Meleon");
pref("kmeleon.privacy.useragent0.string", "");
pref("kmeleon.privacy.useragent1.name", "MSIE 6.0");
pref("kmeleon.privacy.useragent1.string", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)");
pref("kmeleon.privacy.useragent2.name", "Netscape 4.8");
pref("kmeleon.privacy.useragent2.string", "Mozilla/4.8 [en] (Windows NT 5.1; U)");
pref("kmeleon.privacy.useragent3.name", "Opera 7.54");
pref("kmeleon.privacy.useragent3.string", "Opera/7.54 (Windows NT 5.1; U) [en]");
pref("kmeleon.privacy.useragent4.name", "Firefox/2.0.0.3");
pref("kmeleon.privacy.useragent4.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3");
pref("kmeleon.privacy.useragent5.name", "Iphone");
pref("kmeleon.privacy.useragent5.string", "Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1A543a Safari/419.3");


pref("signon.rememberSignons", true);
pref("capability.policy.restrictedpopups.Window.open", "allAccess");
pref("capability.policy.restrictedpopups.sites", "");
pref("dom.disable_open_during_load", true);
pref("kmeleon.favicons.cached", true);

//Determines how the browser should handle  cookies.
//0: Enable all cookies 1: Allow cookies from originating server only 2: Disable all cookies 3: Use P3P policy to decide
pref("network.cookie.cookieBehavior", 0);


/********************************************************************************************************/
// Download

pref("kmeleon.general.saveType", 0);
pref("kmeleon.download.useDownloadDir", true);
pref("kmeleon.download.askOpenSave", false);
pref("kmeleon.download.SaveUnkownContent", true);
pref("kmeleon.download.showMinimizedDialog", true);
pref("kmeleon.download.closeDownloadDialog", false);
pref("kmeleon.download.dir", "");


/********************************************************************************************************/
// For the tab version only

pref("browser.tabs.autoHide", false);
pref("browser.tabs.warnOnClose", false);
pref("kmeleon.tabs.OnDoubleClick", 3);
pref("kmeleon.tabs.OnMiddleClick", 0);
pref("kmeleon.tabs.OnRightClick", 2);
pref("kmeleon.tabs.onCloseLast", 1);
pref("kmeleon.tabs.onCloseOption", 1);
pref("kmeleon.tabs.onOpenOption", 0);
pref("kmeleon.tabs.useLoadingTitle", false);
pref("kmeleon.notab", false);
pref("kmeleon.tabs.title", "");
pref("kmeleon.tabs.minWidth", 20);
pref("kmeleon.tabs.maxWidth", 50);
pref("kmeleon.tabs.style", 2);


/********************************************************************************************************/

pref("browser.cache.memory.capacity", 4096);
pref("browser.cache.disk.capacity", 8192);

pref("browser.urlbar.autoFill", true);
pref("browser.urlbar.autocomplete.enabled", true);

pref("aggreg8.stylesheet.title", "grey");

pref("keyword.eng", "BBN");
pref("keyword.URL", "http://www.google.com/search?gfns=1&q=");

pref("kmeleon.find.matchCase", false);
pref("kmeleon.find.searchBackwards", false);
pref("kmeleon.find.wrapAround", true);

pref("general.smoothScroll", false);
pref("general.autoScroll", true);

//pref("browser.chrome.image_icons.max_size", 1024);

// external link handling in tabbed browsers. values from nsIBrowserDOMWindow.
// 0=default window, 1=current window/tab, 2=new window, 3=new tab in most recent window
pref("browser.link.open_external",1); // open externally-launched links in a new window

// handle links targeting new windows
//2 (default): In a new window 3: In a new tab 1 (or anything else): In the current window
pref("browser.link.open_newwindow", 3);

// 0: no restrictions - divert everything
// 1: don't divert window.open at all
// 2: don't divert window.open with features
pref("browser.link.open_newwindow.restriction", 0); 

// 0 opens the download manager
// 1 opens a progress dialog
// 2 and other values, no download manager, no progress dialog. 
pref("browser.downloadmanager.behavior", 1);

// Show XUL error pages instead of alerts for errors
pref("browser.xul.error_pages.enabled", true);

pref("mousewheel.withcontrolkey.action",3);

// Prevent window to steal the focus when loading
pref("dom.disable_window_flip", true);

pref("prefs.converted-to-utf8", true);

/********************************************************************************************************/
// Adblock settings

pref("adblock.frameobjects", true);
pref("adblock.hide", false);
pref("adblock.linkcheck", false);
pref("adblock.pageblock", false);
pref("adblock.frameobjects", true);
pref("adblock.linkcheck", false);
pref("adblock.warnregexp", false);


/********************************************************************************************************/
// Font Settings

pref("font.minimum-size.x-unicode", 10);
pref("font.minimum-size.x-western", 10);
pref("font.minimum-size.zh-CN", 10);
pref("font.minimum-size.zh-TW", 10);


// SECURITY WARNINGS OFF

pref("security.warn_entering_secure", false);
pref("security.warn_entering_weak", true);
pref("security.warn_leaving_secure", false);
pref("security.warn_submit_insecure", false);
pref("security.warn_viewing_mixed", false);

// SPEED SETTINGS 

pref("browser.display.show_image_placeholders", false);
pref("browser.cache.disk_cache_ssl", true);
pref("browser.xul.error_pages.enabled", true);
pref("content.interrupt.parsing", true);
pref("content.notify.ontimer", true);
pref("plugin.expose_full_path", true);
pref("signed.applets.codebase_principal_support", false);

pref("browser.sessionhistory.max_viewers", 5);
pref("Network.dns.disableIPv6", true);
pref("kmeleon.general.zoomButtons", "text");
pref("network.cookie.prefsMigrated", true);

// Window size
pref("kmeleon.display.XPos", 39);
pref("kmeleon.display.YPos", 38);
pref("kmeleon.display.height", 693);
pref("kmeleon.display.maximized", false);
pref("kmeleon.display.width", 960);

/*********************************************************************/


//pref("browser.dom.window.dump.enabled", true);

//pref("dom.disable_window_flip", true);
//pref("dom.disable_window_move_resize", true);
//pref("dom.disable_window_open_feature.*", true);
//pref("dom.disable_window_open_feature.close", true);
//pref("dom.disable_window_open_feature.directories", true);
//pref("dom.disable_window_open_feature.location", true);
//pref("dom.disable_window_open_feature.menubar", true);
//pref("dom.disable_window_open_feature.minimizable", true);
//pref("dom.disable_window_open_feature.personalbar", true);
//pref("dom.disable_window_open_feature.resizable", true);
//pref("dom.disable_window_open_feature.scrollbars", true);
//pref("dom.disable_window_open_feature.titlebar", true);
//pref("dom.disable_window_open_feature.toolbar", true);
//pref("dom.disable_window_status_change", true);
//pref("dom.event.contextmenu.enabled", false);

pref("download.manager.position", "\"c:\\Program Files\\flashget\\flashget.exe\"");

pref("kmeleon.display.URLbarTitle", "");
pref("kmeleon.display.XPos", 290);
pref("kmeleon.display.YPos", 29);
pref("kmeleon.display.backgroundImage", "");
pref("kmeleon.display.backgroundImageEnabled", false);
pref("kmeleon.display.disableResize", false);
pref("kmeleon.display.height", 689);
pref("kmeleon.display.maximized", false);
pref("kmeleon.display.newWindowOpenAs", 0);
pref("kmeleon.display.newWindowURL", "");
pref("kmeleon.display.sidebar.width", 230);
pref("kmeleon.display.width", 956);

pref("kmeleon.general.CloseDownloadDialog", true);
pref("kmeleon.general.mode", "WINDOWS ONLY");
pref("kmeleon.general.saveType", 3);
pref("kmeleon.general.searchLocked", true);
pref("kmeleon.general.searchOpen", 2);
pref("kmeleon.general.sourceCommand", "notepad.exe");
pref("kmeleon.general.sourceEnabled", true);
pref("kmeleon.general.startGroup", 0);
pref("kmeleon.general.startHome", true);
pref("kmeleon.general.toolbars_locked", false);
pref("kmeleon.general.zoomButtons", "text");

pref("kmeleon.plugins.tabs.OnDoubleClick", 1);
pref("kmeleon.plugins.tabs.OnMiddleClick", 0);
pref("kmeleon.plugins.tabs.OnRightClick", 2);
pref("kmeleon.plugins.tabs.catchOpen", 1);
pref("kmeleon.plugins.tabs.confirmClose", 0);
pref("kmeleon.plugins.tabs.onCloseLast", 1);
pref("kmeleon.plugins.tabs.onCloseOption", 1);
pref("kmeleon.plugins.tabs.onOpenOption", 0);

pref("kmeleon.plugins.toolbars.load", true);

pref("kmeleon.prefs_inited", false);

pref("kmeleon.privacy.useragent0.name", "K-Meleon");
pref("kmeleon.privacy.useragent0.string", "");
pref("kmeleon.privacy.useragent1.name", "MSIE 6.0");
pref("kmeleon.privacy.useragent1.string", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)");
pref("kmeleon.privacy.useragent2.name", "Netscape 4.8");
pref("kmeleon.privacy.useragent2.string", "Mozilla/4.8 [en] (Windows NT 5.1; U)");
pref("kmeleon.privacy.useragent3.name", "Opera 7.54");
pref("kmeleon.privacy.useragent3.string", "Opera/7.54 (Windows NT 5.1; U) [en]");

pref("kmeleon.sidebar.last", "Bookmarks");
pref("kmeleon.sidebar.visible", false);

pref("network.cookie.prefsMigrated", true);
pref("network.image.imageBehavior", 0);

pref("plugin.expose_full_path", true);
pref("print.show_print_progress", false);
pref("pugin.expose_full_path", true);
pref("security.enable_java", false);
pref("security.warn_entering_secure", false);
pref("security.warn_leaving_secure", false);
pref("security.warn_submit_insecure", false);
pref("security.warn_viewing_mixed", false);
pref("signon.SignonFileName", "6194092.s");
pref("signon.rememberSignons", false);
pref("wallet.SchemaValueFileName", "8172007.w");
pref("wallet.caveat", true);


pref("kmeleon.toolband.Throbber.visibility", true);

pref("kmeleon.flash.on", true);

pref("kmeleon.download.flashWhenCompleted", false);

pref("kmeleon.plugins.searchbar.openurl","ID_OPEN_LINK");

pref("kmeleon.general.searchEngine","http://www.google.com/search?q=");

pref("kmeleon.skin.mode.simple",false);

pref("kmeleon.skin.mode.change",false);

pref("cyberarticle.path.position", "c:\\temp\\");

pref("kmeleon.plugins.luamacros.path", "lua\\");

pref("image.animation_mode","normal");
pref("browser.display.use_document_colors",true);
pref("network.cookie.cookieBehavior",0);
pref("permissions.default.image",0);
pref("security.enable_java",true);
pref("javascript.enabled",true);
pref("dom.disable_open_during_load",false);
pref("network.http.sendRefererHeader",2);

pref("kmeleon.display.toolbars_line", false);
pref("kmeleon.general.settingsDir","pref\\");

pref("plugin.scan.WindowsMediaPlayer", "12.0");
pref("kmeleon.plugins.gestures.idrag", 1);

pref("nglayout.initialpaint.delay", 500);

pref("kmeleon.tabs.useLoadingTitle", true);

pref("kmeleon.tabs.useLoadingTitle", true);

pref("kmeleon.external.browser.position","C:\\Program Files\\Internet Explorer\\iexplore.exe");

pref("network.prefetch-next",false);

pref("mousewheel.withnokey.sysnumlines",false);

pref("kmeleon.plugins.sessions.maxUndo", 0);

#pref("intl.accept_languages", "zh-CN");

pref("mousewheel.withshiftkey.action",1);

#pref("mousewheel.withnokey.action",0);

pref("mousewheel.withnokey.numlines", 8);

pref("javascript.options.jit.content", true);

pref("javascript.options.jit.chrome", true);

pref("Browser.zoom.full", true);

pref("network.http.pipelining", true);

pref("network.http.pipelining.firstrequest", true);

pref("general.useragent.contentlocale", "US");
pref("general.useragent.locale", "en-US");
pref("general.useragent.security", "U");
pref("general.useragent.vendor", "K-Meleon");
pref("general.useragent.vendorSub", "1.5.0");

pref("kmeleon.plugins.macros.search.engine0.name", "Google");
pref("kmeleon.plugins.macros.search.engine0.url", "http://www.google.com/search?q=");
pref("kmeleon.plugins.macros.search.engine1.name", "Yahoo");
pref("kmeleon.plugins.macros.search.engine1.url", "http://search.yahoo.com/bin/search?p=");
pref("kmeleon.plugins.macros.search.engine2.name", "Wikipedia");
pref("kmeleon.plugins.macros.search.engine2.url", "http://en.wikipedia.org/wiki/");
pref("kmeleon.plugins.macros.search.engine3.name", "Scholar");
pref("kmeleon.plugins.macros.search.engine3.url", "http://www.scholar.google.com/scholar?q=");
pref("kmeleon.plugins.macros.search.engine4.name", "IMDB");
pref("kmeleon.plugins.macros.search.engine4.url", "http://www.imdb.com/find?q=");
pref("kmeleon.plugins.macros.search.engine5.name", "Baidu");
pref("kmeleon.plugins.macros.search.engine5.url", "http://www.baidu.com/s?ie=utf-8&wd=");
pref("kmeleon.plugins.macros.search.engine6.name", "Dictcn");
pref("kmeleon.plugins.macros.search.engine6.url", "http://www.dict.cn/search/?q=");
pref("kmeleon.plugins.macros.search.engine7.name", "Shooter");
pref("kmeleon.plugins.macros.search.engine7.url", "http://www.shooter.cn/sub/?searchword=");
pref("kmeleon.plugins.macros.search.engine8.name", "merriam-webster");
pref("kmeleon.plugins.macros.search.engine8.url", "http://www.m-w.com/dictionary/");

pref("kmeleon.plugins.searchbarext.load", true);

pref("security.enable_tls_session_tickets",false);
pref("security.enable_tls", false);
pref("security.fileuri.strict_origin_policy", false);
pref("kmeleon.prefetch.on",false);

pref("kmeleon.plugins.luamacros.autoload", "lua\\autoload\\");

pref("kmeleon.first.start",true);

pref("nglayout.initialpaint.delay",0);
pref("content.notify.interval",1000000);
pref("content.notify.ontimer",true);
pref("content.max.tokenizing.time",2000000);
pref("content.interrupt.parsing",true);
pref("content.switch.threshold",1000000);
pref("layout.word_select.eat_space_to_next_word",false);
pref("ui.scrollToClick",true);
pref("network.http.max-connections",32);
pref("network.http.max-connections-per-server",16);
pref("network.http.max-persistent-connections-per-server",8);
pref("network.http.request.max-start-delay",0);
pref("network.http.pipelining",true);
pref("network.http.pipelining.maxrequests",64);
pref("browser.sessionhistory.max_total_viewers",10);
pref("config.trim_on_minimize",true);
pref("browser.chrome.favicons",true);
pref("kmeleon.favicons.cached",true);
pref("kmeleon.favicons.show",true);
#pref("kmeleon.favicons.titleBar",true);
pref("browser.tabs.closeButtons",0);
pref("kmeleon.display.newWindowOpenAs",0);
pref("font.toggle.size",14);
pref("browser.cache.check_doc_frequency Integer ",2);
pref("kmeleon.plugins.gestures.tdrag",1);
pref("kmeleon.plugins.searchbarext.open", 2);
pref("kmeleon.forceTab",true);
pref("kmeleon.plugins.luamacro.search.searchEngine","Google");
pref("intl.charset.default","gb18030");
pref("intl.charsetmenu.browser.cache", "gb2312");
pref("kmeleon.plugins.gestures.drawline",0);
pref("kmeleon.display.WindowTitleBar",false);
pref("kmeleon.display.lockedToolbarAlt",false);
pref("kmeleon.show.border",false);
//pref("browser.display.use_document_fonts", 0);
pref("kmeleon.display.findbartop",1);
pref("kmeleon.display.toolbars_line", false); 
pref("browser.display.use_system_colors", true); 